function [ fval ] = F(t,x,U,Ux,dUxx)
%
% In this case the vector "U" is = [ u, v, w, y ]
%
% Written by:
% -- 
% John L. Weatherwax                2005-06-15
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

a1 = 4*10^(-6);
a2 = 272.443800016;
a3 = 10^(-4);
a4 = 0.007;
a5 = 3.67*10^(-16); 
a6 = 4.13*10^(-12); 

b1 = 272.4438;
b2 = 1.00016*10^(-4);
b3 = 3.67*10^(-16);
b4 = 3.57*10^(-15);

c1 = 1.6*10^(-8);
c2 = 0.007;
c3 = 4.1283*10^(-12);
c4 = 3.57*10^(-15); 

d1 = 7.000016*10^(-3);
d2 = 3.57*10^(-15);
d3 = 4.1283*10^(-12);
  
% Some helper function:
u=U(1); v=U(2); w=U(3); y=U(4); 

fval(1) = dUxx(1) + a1 - a2*u + a3*v + a4*y - a5*u*v - a6*u*y;
fval(2) = dUxx(2) + b1*u - b2*v + b3*u*v - b4*u*w;
fval(3) = dUxx(3) - c1*w + c2*y + c3*u*y - c4*v*w + 800 + SST1(x);
fval(4) = dUxx(4) - d1*y + d2*v*w - d3*u*y + 800; 

