% PDEONE - Solve one dimensional PDE's using ALGORITHM 494 PDEONE
%
% Written by:
% -- 
% John L. Weatherwax                2005-12-17
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----

xGrid = linspace(0,10,101);
tGrid = linspace(0,15,4);

[ U, opts ] = pdeone("F","D","BNDRY_ALPHA","BNDRY_BETA","BNDRY_GAMMA","truesol", ...
		     "xGrid", xGrid, "tGrid", tGrid, "eps", 10^(-4) );

tGrid = opts.tGrid; 
xGrid = opts.xGrid; 

close all; 
ntouts = length(tGrid); 
h=figure(1); 
for nti=1:ntouts,
  figure(h); 
  plot( xGrid, U(1,:,nti) ); grid; %title( [ 'U(1) at t(',num2str(nti),')' ] ); 
  hold on; 
  %pause;
end

h=figure(2); clf; 
for nti=1:ntouts,
  figure(h); 
  plot( xGrid, abs(truesol(tGrid(nti),xGrid)-U(1,:,nti)) ); grid on;
  hold on; 
end

save -v6 "EGG_sol.mat" U xGrid tGrid; 
